/** 
 *   DGPS - Configuration parameters.
 *
 *   (c) Copyright 2007 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#ifndef _DGPS_CONF_H
#define _DGPS_CONF_H


//#include "my_stdio.h"
#include "parse_tools.h"
#include <limits.h>


struct dgps_conf {
	char device[_POSIX_PATH_MAX];
	char data_dir[_POSIX_PATH_MAX];
	char rinex_header[_POSIX_PATH_MAX];
	char log_port[16];
	int set_rinex_flag;
};


struct dgps_conf *dgps_get_conf(char *file);
int dgps_free_conf(struct dgps_conf *dc);


#endif /* ifndef _DGPS_CONF_H */
